﻿<!DOCTYPE html>
<html>
<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
<title>flexcolores</title>
<style>
	main{
		max-width:1200px;
		display:flex;
		flex-direction:column;
		background-color:cornsilk
	}
	header{
		height:200px;		
		display:flex;
		flex-direction:row;
	}
	header div.left{
		height:190px;
		flex:5;
		margin:10px;
		background-color:maroon;
	
	}
	header div.right{
		height:190px;
		flex:3;
		margin:10px;
		background-color:maroon;
	}
	section{
		display:flex;
	}

	section article.left{
		height:500px;
		flex:2;
		margin:10px;
		flex-direction:column;
		background-color:orange;
	}

	section article.right{
		height:500px;
		flex:2;
		margin:10px;
		flex-direction:column;
	}
	article.right{
		display:flex;
		height:500px;
		flex:2;
		margin:10px;
		flex-direction:column;

	}
	article.right div.up,div.down{
		flex:2;
		flex-direction:column;
		background-color:purple;
	
	}
	article.right div.up{
		margin-bottom:10px;
	}
	footer{
		height:110px;		
		display:flex;
		flex-direction:row;

	}
	footer div.left{
		flex:2;	
		margin-left:10px;	
		background-color:navy;
	}
	footer div.mid{
		flex:3;
		margin-left:10px;
		background-color:navy;
	}
	footer div.right{
		flex:2;	
		margin-left:10px;
		margin-right:10px;	
		background-color:navy;
	}



	


	

</style>
</head>
<body>
<main>
	<header>
		<div class="left"></div>
		<div class="right"></div>
	</header>
	<section>
		<article class="left"></article>
		<article class="right">
			<div class="up"></div>
			<div class="down"></div>
		</article>
	
	</section>
	<footer>
		<div class="left"></div>
		<div class="mid"></div>
		<div class="right"></div>
	</footer>
</main>
</body>
</html>
